Method: projects.databases.userCreds.list
Stay organized with collections
Save and categorize content based on your preferences.
List all user creds in the database. Note that the returned resource does not contain the secret value itself.
HTTP request
GET https://firestore.googleapis.com/v1/{parent=projects/*/databases/*}/userCreds
The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters |
parent |
string
Required. A parent database name of the form projects/{projectId}/databases/{databaseId}
|
Request body
The request body must be empty.
Response body
The response for FirestoreAdmin.ListUserCreds.
If successful, the response body contains data with the following structure:
| JSON representation |
{
"userCreds": [
{
object (UserCreds)
}
]
} |
| Fields |
userCreds[] |
object (UserCreds)
The user creds for the database.
|
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/datastore
https://www.googleapis.com/auth/cloud-platform
For more information, see the OAuth 2.0 Overview.
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-03-06 UTC.
[null,null,["Last updated 2026-03-06 UTC."],[],[]]